/******/ (function() { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ 2:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   $mz: function() { return /* binding */ $mz; }
/* harmony export */ });
//******************************
//  Current
//  v2.2.0.4
//  03/23/2017
//  ECG
//******************************
//  v2.2.0.4
//  03/23/2017
//  ECG
//  Added "&" as a never allowed character
//******************************
//  v2.2.0.3
//  3/22/2017
//  ECG
//  fixed bug in setColor
// fixed bug in textElement
//******************************
//  v2.2.0.2
//  ECG
//  Added UUID and Randowm String generator
//******************************
//v.2.2.0.1
//  ECG
//Added mz_ignore_value to $mz.constants
//******************************
//v.2.2.0.0
//  ECG
//Added extended phone number
//validation for min and max area code
//and repeating numbers
//******************************
var $mz = $mz || {};
$mz = {
  //Private Vars
  //Do not change
  _emailValidationTries: 0,
  _attemptedEmail: "",
  _absoluteMaxLength: 200,
  _emValidating: false,
  //////////
  //Public Vars
  deviceId: null,
  deviceLicenseToken: null,
  online: null,
  inputType: null,
  //////////////
  //*************         ATTENTION        ***************
  //************  ONLY MODIFY THE $mz.cfg SECTION ***************
  cfg: {
    frmElem: {
      data: {
        id: "mz_Data"
      },
      prefix: "mz_",
      fname: {
        id: "FName"
      },
      lname: {
        id: "LName"
      },
      dob: {
        month: "mz_BirthMonth",
        day: "mz_BirthDay",
        year: "mz_BirthYear"
      },
      address: {
        id: "Address"
      },
      city: {
        id: "City"
      },
      state: {
        id: "State"
      },
      zip: {
        id: "Zip"
      },
      country: {
        id: "Country"
      },
      gender: {
        id: "Gender"
      },
      county: {
        id: "County"
      },
      expiration: {
        month: "mz_ExpMonth",
        day: "mz_ExpDay",
        year: "mz_ExpYear"
      }
    },
    randomIDCharacters: "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789*$#@!-",
    settings: {
      emailValidationTimeout: 20000,
      onload: {
        execute: [{
          func: function () {
            $mz.preventCopyPasteCut();
          },
          execute: true
        }, {
          func: function () {
            $mz.resetDDLColorOnChange();
          },
          execute: true
        }, {
          func: function () {
            $mz.addOnKeypUpValidation();
          },
          execute: true
        }, {
          func: function () {
            $mz.convertEmailInputType();
          },
          execute: true
        }]
      },
      maxAreaCode: 989,
      minAreaCode: 201
    },
    validation: {
      chars: {
        neverAllowed: [";", "=", "&"],
        zip: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
        number: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
        phone: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
        name: ["-", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "'"],
        email: [".", "@", "_", "-", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z"],
        address: ["/", "#", ".", "-", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "'"],
        letternum: ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9", "a", "b", "c", "d", "e", "f", "g", "h", "i", "j", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z"]
      },
      dataAttribute: {
        type: {
          //allowable values = "Name","Zip","Email","Phone","Number","Address","FreeText","State","Gender","Month","Day","Year","Exempt","LetterNum"
          //"FreeText" means all but "neverAllowed" characters are allowed
          //"Exempt" means totally ignore
          id: "data-type",
          default: "Name"
        },
        allowExtendedValidation: {
          id: "data-allow-extended",
          default: {
            name: false,
            email: false,
            address: false,
            zip: false,
            number: false,
            phone: true,
            freetext: false,
            exempt: false,
            letternum: false
          }
        },
        allowMask: {
          id: "data-allow-mask",
          default: {
            name: false,
            email: false,
            address: false,
            zip: false,
            number: false,
            phone: false,
            freetext: false,
            exempt: false,
            letternum: false
          }
        },
        allowMidSpaces: {
          id: "data-allow-midspaces",
          default: {
            name: true,
            email: false,
            address: true,
            zip: false,
            number: false,
            phone: false,
            freetext: true,
            exempt: true,
            letternum: false
          }
        },
        allowMultiple: {
          id: "data-allow-multiple",
          default: {
            name: false,
            email: false,
            address: false,
            zip: false,
            number: false,
            phone: false,
            freetext: true,
            exempt: true,
            letternum: false
          }
        },
        capitalize: {
          id: "data-capitalize",
          default: {
            name: "first",
            email: "none",
            address: "first",
            zip: "none",
            number: "none",
            phone: "none",
            freetext: "none",
            exempt: "none",
            letternum: "none"
          } //acceptable values = first,all,none,freetext,firstword
        },
        format: {
          submit: {
            id: "data-format-submit",
            default: {
              phone: "##########",
              zip: "#####"
            }
          },
          display: {
            id: "data-format-display",
            default: {
              phone: "##########",
              zip: "#####"
            }
          }
        },
        invalidMessageElemId: {
          id: "data-invalid-msgelementid",
          default: {
            email: null
          }
        },
        jsonOverrideInvalid: {
          id: "data-json-override-invalid",
          default: null
        },
        //as of 11/27/2014, only used with Gender
        //this can be used to override the normal values
        //Gender is an example
        //
        //the json overide for Gender should be formatted like:
        //{"male":"MaleValHere","female":"FemaleValHere"}
        //see setGenderElem
        //accessed by $mz.cfg.validation.dataAttribute.jsonOverrideValue
        jsonOverrideValue: {
          id: "data-json-override-value",
          default: null
        },
        //as of 11/27/2014, only works for data-type="Phone"
        //used in conjunction with data-allow-mask
        //characters that will be automatically added to valid character list
        //found at  $mz.cfg.validation.chars for the data-type
        //accessed by $mz.cfg.validation.dataAttribute.maskCharacters
        maskCharacters: {
          id: "data-mask-characters",
          default: {
            name: "",
            email: "",
            address: "",
            zip: "",
            phone: "(,),-,_, ",
            freetext: "",
            exempt: "",
            letternum: "-,_"
          }
        },
        maxLength: {
          id: "data-max-length",
          default: {
            name: 200,
            email: 200,
            address: 200,
            zip: 5,
            number: 10,
            phone: 10,
            //should be length of phone number as it would appear in the data submit string
            freetext: 200,
            exempt: 200,
            letternum: 6
          }
        },
        minLength: {
          id: "data-min-length",
          default: {
            name: 2,
            email: 7,
            address: 2,
            zip: 5,
            number: 10,
            phone: 10,
            freetext: 0,
            exempt: 0,
            letternum: 6
          }
        },
        optional: {
          id: "data-optional",
          default: false
        },
        removeMaskOnSubmit: {
          id: "data-onsubmit-remove-mask",
          default: true
        },
        validateOnKeyUp: {
          id: "data-validate-onkeyup",
          default: {
            name: true,
            email: false,
            address: true,
            zip: true,
            number: true,
            phone: true,
            freetext: true,
            exempt: false,
            letternum: true
          }
        },
        validateOnline: {
          id: "data-validate-online",
          default: false
        },
        validateOnlineMaxTries: {
          id: "data-validate-online-maxtries",
          default: {
            email: 1
          }
        }
      },
      color: {
        valid: {
          background: {
            hex: "#ffffff",
            rgb: "rgb(255,255,255)"
          },
          border: {
            hex: "#ffffff",
            rgb: "rgb(255,255,255)"
          }
        },
        invalid: {
          background: {
            hex: "#FFFF00",
            rgb: "rgb(255,255,0)"
          },
          border: {
            hex: "#FF0000",
            rgb: "rgb(255,0,0)"
          }
        }
      }
    }
  },
  //*************         ATTENTION        ***************
  //************  DO NOT MODIFY BELOW THIS LINE ***************
  constants: {
    JSON_BASE_URL: "https://api.smartactivator.com/",
    ios: "iOS",
    android: "Android",
    windows: "Windows",
    mz_ignore_value: "MZ-IGNORE-RESULT-MZ"
  },
  addOnKeypUpValidation: function () {
    var controls = document.getElementsByTagName("input");
    var addEventFunction = function (e) {
      $mz.validate.onkeyup(this);
    };
    var attachEventFunction = function () {
      $mz.validate.onkeyup(this);
    };
    for (var i = 0; i < controls.length; i++) {
      if ($mz.validate.getValidationType(controls[i]).toLowerCase() !== "exempt" && $mz.validate.getValidateOnKeyUp(controls[i]) && (controls[i].type.toLowerCase() === "text" || controls[i].type.toLowerCase() === "tel" || controls[i].type.toLowerCase() === "email" || controls[i].type.toLowerCase() === "number" || controls[i].type.toLowerCase() === "hidden")) {
        $mz.attachEvent(controls[i], "keyup", addEventFunction, attachEventFunction);
      }
    }
    var controls2 = document.getElementsByTagName("textarea");
    for (var j = 0; j < controls2.length; j++) {
      $mz.attachEvent(controls2[j], "keyup", addEventFunction, attachEventFunction);
    }
  },
  attachEvent: function (obj, eventName, addEventFunction, attachEventFunction) {
    if (obj.addEventListener) {
      obj.addEventListener(eventName, addEventFunction, false);
    } else if (obj.attachEvent) {
      obj.attachEvent("on" + eventName, attachEventFunction);
    }
  },
  capitalize: {
    all: function (val) {
      val = val.toUpperCase();
      return val;
    },
    first: function (val) {
      //val = val.toLowerCase();
      var s = val.split(" ");
      var nuStr = "";
      for (var i = 0; i < s.length; i++) {
        nuStr += s[i].substring(0, 1).toUpperCase();
        if (s[i].length > 1) {
          nuStr += s[i].substring(1);
        }
        if (s.length > 1 && i < s.length - 1) {
          nuStr += " ";
        }
      }
      val = nuStr;
      s = val.split("-");
      nuStr = "";
      for (var i = 0; i < s.length; i++) {
        nuStr += s[i].substring(0, 1).toUpperCase();
        if (s[i].length > 1) {
          nuStr += s[i].substring(1);
        }
        if (s.length > 1 && i < s.length - 1) {
          nuStr += "-";
        }
      }
      return nuStr;
    },
    firstword: function (val) {
      var nuStr = val;
      if (val.trim() !== "") {
        var prefix = "";
        for (var i = 0; i < val.length; i++) {
          if ($mz.isLetter(val[i], 1)) {
            var first = val.substring(i, i + 1).toUpperCase();
            nuStr = prefix + first + val.substring(i + 1, val.length).toLowerCase();
            break;
          } else {
            prefix += val[i];
          }
        }
      }
      return nuStr;
    },
    freetext: function (val) {
      return val;
    },
    none: function (val) {
      val = val.toLowerCase();
      return val;
    }
  },
  convertEmailInputType: function () {
    if ($mz.util.os().toLowerCase() === "android") {
      var controls = document.getElementsByTagName("input");
      for (var i = 0; i < controls.length; i++) {
        if (controls[i].type.toLowerCase() === "email") {
          controls[i].type = "text";
        }
      }
    }
  },
  escapeCodes: [{
    code: "&#13;",
    value: "\r"
  }, {
    code: "&#10;",
    value: "\n"
  }, {
    code: "&amp;",
    value: "&"
  }, {
    code: "&gt;",
    value: ">"
  }, {
    code: "&lt;",
    value: "<"
  }, {
    code: "&apos;",
    value: "'"
  }, {
    code: "&#39;",
    value: "'"
  }, {
    code: "&#38;",
    value: "&"
  }, {
    code: "&#62;",
    value: ">"
  }, {
    code: "&#60;",
    value: "<"
  }],
  find: function (id) {
    return document.getElementById(id);
  },
  getCursorPosition: function (obj) {
    //This will not work on HTML elements of type='email'
    //Those types must be converted to type='text'
    //There are other types that will not work either
    var cursorPos = 0; // IE Support
    if (document.selection) {
      obj.focus();
      var sel = document.selection.createRange();
      sel.moveStart("character", -obj.value.length);
      cursorPos = sel.text.length;
    } else if (obj.selectionStart || obj.selectionStart === "0 ") cursorPos = obj.selectionStart;
    return cursorPos;
  },
  getRandomString: function (len) {
    if (typeof len === "undefined" || len === null) {
      len = 20;
    }
    var text = "";
    var charset = $mz.cfg.randomIDCharacters;
    for (var i = 0; i < len; i++) text += charset.charAt(Math.floor(Math.random() * charset.length));
    return text;
  },
  getUniqueGUID: function () {
    var UUID = function () {
      var self = {};
      var lut = [];
      for (var i = 0; i < 256; i++) {
        lut[i] = (i < 16 ? "0" : "") + i.toString(16);
      }
      self.generate = function () {
        var d0 = Math.random() * 0xffffffff | 0;
        var d1 = Math.random() * 0xffffffff | 0;
        var d2 = Math.random() * 0xffffffff | 0;
        var d3 = Math.random() * 0xffffffff | 0;
        return lut[d0 & 0xff] + lut[d0 >> 8 & 0xff] + lut[d0 >> 16 & 0xff] + lut[d0 >> 24 & 0xff] + "-" + lut[d1 & 0xff] + lut[d1 >> 8 & 0xff] + "-" + lut[d1 >> 16 & 0x0f | 0x40] + lut[d1 >> 24 & 0xff] + "-" + lut[d2 & 0x3f | 0x80] + lut[d2 >> 8 & 0xff] + "-" + lut[d2 >> 16 & 0xff] + lut[d2 >> 24 & 0xff] + lut[d3 & 0xff] + lut[d3 >> 8 & 0xff] + lut[d3 >> 16 & 0xff] + lut[d3 >> 24 & 0xff];
      };
      return self;
    }();
    return UUID.generate();
  },
  hexToRGB: function (hex) {
    var bigint = parseInt(hex, 16);
    var r = bigint >> 16 & 255;
    var g = bigint >> 8 & 255;
    var b = bigint & 255;
    return r + ", " + g + ", " + b;
  },
  isAllTheSame: function (val) {
    val = val.toString();
    for (var i = 1; i < val.length; i++) {
      if (val[i] !== val[i - 1]) {
        return false;
      }
    }
    return true;
  },
  isLetter: function (val) {
    if (typeof val !== "undefined" && val !== null) {
      return /^[a-zA-Z]*$/.test(val);
    }
    return false;
  },
  isNumeric: function (val, len) {
    if (typeof val !== "undefined" && val !== null) {
      if (val.replace(" ", "").length === len && !isNaN(val) && isFinite(val)) {
        return true;
      }
    }
    return false;
  },
  onload: function () {
    console.log("load MZ");
    var funcs = $mz.cfg.settings.onload.execute;
    for (var i = 0; i < funcs.length; i++) {
      if (funcs[i].execute === true) {
        funcs[i].func();
      }
    }
  },
  padLeft: function (str, ch, len) {
    var s = "";
    if (typeof str !== "undefined" && str !== null) {
      s = str.toString(), ch = ch || "0";
      while (s.length < len) s = ch + s;
    }
    return s;
  },
  preventCopyPasteCut: function () {
    var controls = document.getElementsByTagName("*");
    var addEventFunction = function (e) {
      e.preventDefault();
    };
    var attachEventFunction = function () {
      return false;
    };
    for (var i = 0; i < controls.length; i++) {
      if ($mz.validate.getValidationType(controls[i]).toLowerCase() !== "exempt") {
        $mz.attachEvent(controls[i], "copy", addEventFunction, attachEventFunction);
        $mz.attachEvent(controls[i], "paste", addEventFunction, attachEventFunction);
        $mz.attachEvent(controls[i], "cut", addEventFunction, attachEventFunction);
      }
    }
  },
  resetDDLColorOnChange: function () {
    var controls = document.getElementsByTagName("select");
    var addEventFunction = function (e) {
      this.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
    };
    var attachEventFunction = function () {
      this.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
    };
    for (var i = 0; i < controls.length; i++) {
      if (controls[i].type === "select-one" && controls[i].id.toLowerCase().indexOf("emaildomain") == -1) {
        $mz.attachEvent(controls[i], "change", addEventFunction, attachEventFunction);
      }
    }
  },
  setCursorPosition: function (obj, pos) {
    try {
      if (obj.setSelectionRange) {
        obj.focus();
        obj.setSelectionRange(pos, pos);
      } else if (obj.createTextRange) {
        var range = obj.createTextRange();
        range.collapse(true);
        range.moveEnd("character", pos);
        range.moveStart("character", pos);
        range.Select();
      }
    } catch (e) {}
  },
  setElement: function (id, val) {
    var obj = $mz.find(id);
    if (typeof obj !== "undefined" && obj !== null) {
      var type = $mz.validate.getValidationType(obj).toLowerCase();
      if ((obj.type.toLowerCase() === "text" || obj.type.toLowerCase() === "textarea" || obj.type.toLowerCase() === "tel" || obj.type.toLowerCase() === "email" || obj.type.toLowerCase() === "number" || obj.type.toLowerCase() === "hidden") && (type === "name" || type === "city" || type === "address" || type === "email" || type === "phone" || type === "number" || type === "exempt" || type === "freetext")) {
        $mz.validate.setTextElem(obj, val);
      } else if (type === "zip") {
        $mz.validate.setZipElem(obj, val);
      } else if (obj.type === "select-one" && type === "state") {
        $mz.validate.setStateElem(obj, val);
      } else if (obj.type === "select-one" && type === "gender") {
        $mz.validate.setGenderElem(obj, val);
      } else if (obj.type === "select-one" && (type === "month" || type === "day" || type === "year")) {
        $mz.validate.setElemValue(obj, val);
      } else if (obj.type === "select-one") {
        $mz.validate.setElemValue(obj, val);
      } else if (obj.type === "checkbox") {
        $mz.validate.setCheckBox(obj, val);
      }
    }
  },
  unescape: function (data) {
    var escCodes = $mz.escapeCodes;
    for (var i = 0; i < escCodes.length; i++) {
      data = data.replace(escCodes[i].code, escCodes[i].value);
    }
    return data;
  },
  util: {
    online: function () {
      if (typeof $mz.online !== "undefined" && $mz.online !== null && $mz.online.toLowerCase().trim() === "online") {
        return true;
      }
      return false;
    },
    deviceId: function () {
      if (typeof $mz.deviceId !== "undefined" && $mz.deviceId !== null && $mz.deviceId.toLowerCase().indexOf("{") === -1) {
        return $mz.deviceId;
      }
      return null;
    },
    deviceLicenseToken: function () {
      if (typeof $mz.deviceLicenseToken !== "undefined" && $mz.deviceLicenseToken !== null && $mz.deviceLicenseToken.toLowerCase().indexOf("{") === -1) {
        return $mz.deviceLicenseToken;
      }
      return null;
    },
    os: function () {
      if (navigator.appVersion.toLowerCase().indexOf("android") > -1 || navigator.appVersion.toLowerCase().indexOf("linux") > -1) {
        return $mz.constants.android;
      } else if (navigator.appVersion.toLowerCase().indexOf("ipad") > -1 || navigator.appVersion.toLowerCase().indexOf("iphone") > -1 || navigator.appVersion.toLowerCase().indexOf("mac") > -1) {
        return $mz.constants.ios;
      } else if (navigator.appVersion.toLowerCase().indexOf("windows") > -1) {
        return $mz.constants.windows;
      }
      return null;
    },
    callService: function (args) {
      try {
        $.ajax({
          url: args.url,
          type: args.type,
          data: args.data,
          dataType: args.dataType,
          header: args.header,
          beforeSend: args.beforeSendCallback,
          error: function (b) {
            if ("json" === args.dataType) console.log("ERROR: " + JSON.stringify(b));else console.log("ERROR: " + b);
            if (undefined !== args.onError) args.onError(b);
          },
          success: function (c) {
            if (undefined !== args.onSuccess) args.onSuccess(c);
          },
          timeout: args.timeout
        });
      } catch (error) {
        // try
        console.log(error.message);
        args.callback({
          result: false,
          data: null
        });
      }
    },
    distance: function (lat1, lon1, lat2, lon2, unit) {
      var radlat1 = Math.PI * lat1 / 180;
      var radlat2 = Math.PI * lat2 / 180;
      var radlon1 = Math.PI * lon1 / 180;
      var radlon2 = Math.PI * lon2 / 180;
      var theta = lon1 - lon2;
      var radtheta = Math.PI * theta / 180;
      var dist = Math.sin(radlat1) * Math.sin(radlat2) + Math.cos(radlat1) * Math.cos(radlat2) * Math.cos(radtheta);
      dist = Math.acos(dist);
      dist = dist * 180 / Math.PI;
      dist = dist * 60 * 1.1515;
      if (unit === "K") {
        dist = dist * 1.609344;
      }
      if (unit === "N") {
        dist = dist * 0.8684;
      }
      return dist.toFixed(1);
    },
    getServiceError: function (response) {
      try {
        if (0 < response.responseText.length) {
          var jsonResponse = jQuery.parseJSON(response.responseText);
          return jsonResponse.status;
        } else return response.status;
      } catch (e) {
        console.log(e.message);
      }
      return 0;
    }
  },
  validate: {
    address: function (obj) {
      num = /[0-9]/;
      letter = /[A-Za-z]/;
      var val = obj.value.trim();
      var addresslength = val.length;
      var spaces = 0;
      var thespace = " ";
      for (i = 0; i < addresslength; i++) {
        if (val[i] === thespace) {
          spaces++;
        }
      }
      if (spaces < 1 || addresslength < 4 || !num.test(val) || !letter.test(val)) {
        return false;
      }
      return true;
    },
    ageRange: function (dob, minAge, maxAge) {
      var today = new Date();
      var birthDate = new Date(dob);
      var age = today.getFullYear() - birthDate.getFullYear();
      var m = today.getMonth() - birthDate.getMonth();
      if (m < 0 || m === 0 && today.getDate() < birthDate.getDate()) {
        age--;
      }
      if (age > maxAge) return "Over";else if (age >= minAge && age <= maxAge) return "In";else return "Under";
    },
    capitalize: function (obj) {
      if (obj.value.trim() !== "" && $mz.validate.getValidationType(obj).toLowerCase() !== "exempt") {
        var capitalize = $mz.validate.getCapitalize(obj).toLowerCase().trim();
        var val = $mz.capitalize[capitalize](obj.value);
        //var pos = $mz.getCursorPosition(obj);
        $mz.validate.setElemValue(obj, val);
        // $mz.setCursorPosition(obj, pos)
      }
    },
    date: {
      dropdowns: function (objMon, objDay, objYr) {
        var setColor = $mz.validate.setColor;
        setColor(objMon, true);
        //objMon.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
        setColor(objDay, true);
        //objDay.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
        setColor(objYr, true);
        //objYr.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
        var mon = $mz.validate.element(objMon);
        var day = $mz.validate.element(objDay);
        var yr = $mz.validate.element(objYr);
        if (!mon || !day || !yr) {
          return false;
        } else {
          var dt = $mz.padLeft(objMon.options[objMon.selectedIndex].value, "0", 2) + "/" + $mz.padLeft(objDay.options[objDay.selectedIndex].value, "0", 2) + "/" + objYr.options[objYr.selectedIndex].value;
          var isValid = $mz.validate.date.string(dt);
          if (!isValid) {
            setColor(objDay, false);
            //objDay.style.backgroundColor = $mz.cfg.validation.color.invalid.background.hex;
          }
          return isValid;
        }
      },
      string: function (dateStr) {
        try {
          //string should be a MM/dd/yyyy format
          var p = dateStr.split("/");
          if (p.length === 3) {
            var m = parseInt(p[0]);
            var d = parseInt(p[1]);
            var y = parseInt(p[2]);
            var leapYr = y % 4 === 0 ? true : false;
            if (!leapYr && d > 28 && m === 2) {
              return false;
            } else if (leapYr && d > 29 && m === 2) {
              return false;
            } else if (d > 30 && (m === 4 || m === 6 || m === 9 || m === 11)) {
              return false;
            }
            return true;
          } else {
            return false;
          }
        } catch (e) {
          return false;
        }
      },
      twoDates: function (lesserDate, greaterDate, allowEqualTo) {
        //dates should be a MM/dd/yyyy format
        try {
          var p1 = lesserDate.split("/");
          var p2 = greaterDate.split("/");
          var allowEqual = typeof allowEqualTo === "undefined" || allowEqualTo === null ? true : allowEqualTo;
          if (p1.length === 3 && p2.length === 3) {
            var m1 = parseInt(p1[0]);
            var d1 = parseInt(p1[1]);
            var y1 = parseInt(p1[2]);
            var m2 = parseInt(p2[0]);
            var d2 = parseInt(p2[1]);
            var y2 = parseInt(p2[2]);
            var date1 = new Date(y1, m1 - 1, d1, 0, 0, 0, 0);
            var date2 = new Date(y2, m2 - 1, d2, 0, 0, 0, 0);
            if (allowEqual) {
              return date1 <= date2;
            }
            return date1 < date2;
          }
        } catch (e) {
          return false;
        }
      }
    },
    dropdownElement: function (obj) {
      var valid = true;
      var optional = $mz.validate.getOptional(obj);
      if (!optional && typeof obj.selectedIndex !== "undefined" && obj.options[obj.selectedIndex].value === "") {
        valid = false;
      }
      return valid;
    },
    element: function (obj, trimVal) {
      var validElem = true;
      trimVal = trimVal === null ? false : trimVal;
      if (obj.type.toLowerCase() === "text" || obj.type.toLowerCase() === "textarea" || obj.type.toLowerCase() === "tel" || obj.type.toLowerCase() === "email" || obj.type.toLowerCase() === "number") {
        validElem = $mz.validate.textElement(obj, trimVal);
      } else if (obj.type.toLowerCase() === "select-one") {
        validElem = $mz.validate.dropdownElement(obj);
      }
      $mz.validate.setColor(obj, validElem);
      //obj.style.backgroundColor = validElem ? $mz.cfg.validation.color.valid.background.hex : $mz.cfg.validation.color.invalid.background.hex;
      return validElem;
    },
    email: function (obj) {
      var regEx = /^[_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*\.(([0-9]{1,3})|([a-zA-Z]{2,3})|(aero|coop|info|museum|name))$/;
      //could just do the split and not check for multiple
      //but might need to in future
      if ($mz.validate.getAllowMultiple(obj)) {
        var emails = obj.value.split(",");
        for (var i = 0; i < emails.length; i++) {
          if (!regEx.test(emails[i])) {
            return false;
          }
        }
      } else if (!regEx.test(obj.value)) {
        return false;
      }
      return true;
    },
    emailByOnlineService: function (obj, callback) {
      if ($mz._emValidating === false) {
        //console.log("Validating Email: " + obj.value);
        $mz._emValidating = true;
        var online = $mz.util.online();
        var os = $mz.util.os();
        var optional = $mz.validate.getOptional(obj);
        var val = obj.value.trim();
        if (optional && val === "" || !online || os === null || os === $mz.constants.ios && $mz.util.deviceLicenseToken() === null || os === $mz.constants.android && $mz.util.deviceId() === null || os === $mz.constants.windows && $mz.util.deviceLicenseToken() === null) {
          callback(true);
          $mz._emValidating = false;
        } else if (!optional && val === "") {
          callback(false);
          $mz._emValidating = false;
        } else {
          var validateOnline = online ? $mz.validate.getValidateOnline(obj) : false;
          if (validateOnline) {
            var isValid = true;
            var s = val.split(",");
            function validate(i) {
              if (i < s.length) {
                $mz.validate._emailOnline(s[i], function (valid) {
                  if (!valid) {
                    isValid = false;
                  }
                  i++;
                  validate(i);
                });
              } else {
                callback(isValid);
                $mz._emValidating = false;
              }
            }
            var attemptedTries = $mz._emailValidationTries;
            var maxTries = $mz.validate.getValidateOnlineMaxTries(obj);
            if (val !== $mz._attemptedEmail || attemptedTries < maxTries) {
              if (val !== $mz._attemptedEmail) {
                $mz._emailValidationTries = 0;
              }
              $mz._attemptedEmail = val;
              validate(0);
            } else {
              callback(true);
              $mz._emValidating = false;
            }
          } else {
            callback(true);
            $mz._emValidating = false;
          }
        }
      } else {
        //console.log("Not Validating Email: " + obj.value);
      }
    },
    _emailOnline: function (email, callback) {
      //TODO
      if (typeof $ !== "undefined" && $ !== null) {
        function error(response) {
          //onError({ error: util.getServiceError(response) });
          //console.log($mz.util.getServiceError(response));
          //console.log("error Callback");
          //console.log(response.statusText);
          //console.log(response.responseText);
          callback(true);
          return;
        }
        function success(response) {
          //console.log(response.status);
          //console.log(response.validation);
          //if (0 === response.status && response.validation.toLowerCase()==="valid") {
          if (response.validation.toLowerCase() === "invalid") {
            $mz._emailValidationTries++;
            callback(false);
            return;
          }
          callback(true);
        }
        function setHeader(xhr) {
          // var info = config.licenseInfo();
          //alert($mz.util.os());
          if (info.token !== null && ($mz.util.os() === $mz.constants.ios || $mz.util.os() === $mz.constants.windows)) {
            xhr.setRequestHeader("Authorization", "Bearer " + info.token);
          }
        }
        try {
          var info = {
            token: $mz.util.deviceLicenseToken()
          };
          var data = $mz.util.os() === $mz.constants.android ? {
            emailAddress: email,
            deviceId: $mz.util.deviceId()
          } : {
            emailAddress: email
          };
          var serviceArgs = {
            url: $mz.constants.JSON_BASE_URL + "consumer/validateemail",
            type: "POST",
            data: data,
            dataType: "json",
            beforeSendCallback: setHeader,
            onSuccess: success,
            onError: error,
            timeout: $mz.cfg.settings.emailValidationTimeout
          };

          //alert(JSON.stringify(serviceArgs));
          $mz.util.callService(serviceArgs);
        } catch (e) {
          console.log(e.message);
          callback(true);
        }
      } else {
        console.log("No $");
        callback(true);
      }
    },
    getAllowExtendedValidation: function (obj) {
      return $mz.validate.getDataAttr(obj, "allowExtendedValidation");
    },
    getAllowMask: function (obj) {
      return $mz.validate.getDataAttr(obj, "allowMask");
    },
    getAllowMidSpaces: function (obj) {
      return $mz.validate.getDataAttr(obj, "allowMidSpaces");
    },
    getAllowMultiple: function (obj) {
      return $mz.validate.getDataAttr(obj, "allowMultiple");
    },
    getCapitalize: function (obj) {
      return $mz.validate.getDataAttr(obj, "capitalize");
    },
    getDataAttr: function (obj, attr) {
      var dataAttribute = $mz.cfg.validation.dataAttribute;
      var output = obj.getAttribute(dataAttribute[attr].id);
      if (output === null && typeof dataAttribute[attr].default !== "undefined") {
        var type = $mz.validate.getValidationType(obj);
        if (dataAttribute[attr].default !== null && typeof dataAttribute[attr].default[type.toLowerCase()] !== "undefined") {
          output = dataAttribute[attr].default[type.toLowerCase()];
        } else {
          output = dataAttribute[attr].default;
        }
      }
      if (output !== null && typeof output === "string") {
        output = output.toLowerCase() === "true" ? true : output.toLowerCase() === "false" ? false : output;
      }
      return output;
    },
    getInvalidMsgElemId: function (obj) {
      return $mz.validate.getDataAttr(obj, "invalidMessageElemId");
    },
    getJSONOverrideInvalid: function (obj) {
      return $mz.validate.getDataAttr(obj, "jsonOverrideInvalid");
    },
    getJSONOverrideValue: function (obj) {
      return $mz.validate.getDataAttr(obj, "jsonOverrideValue");
    },
    getMaskCharacters: function (obj) {
      return $mz.validate.getDataAttr(obj, "maskCharacters");
    },
    getMaxLength: function (obj) {
      return $mz.validate.getDataAttr(obj, "maxLength");
    },
    getMinLength: function (obj) {
      return $mz.validate.getDataAttr(obj, "minLength");
    },
    getOptional: function (obj) {
      return $mz.validate.getDataAttr(obj, "optional");
    },
    getRemoveMask: function (obj) {
      return $mz.validate.getDataAttr(obj, "removeMaskOnSubmit");
    },
    getValidateOnKeyUp: function (obj) {
      return $mz.validate.getDataAttr(obj, "validateOnKeyUp");
    },
    getValidateOnline: function (obj) {
      return $mz.validate.getDataAttr(obj, "validateOnline");
    },
    getValidateOnlineMaxTries: function (obj) {
      return $mz.validate.getDataAttr(obj, "validateOnlineMaxTries");
    },
    getValidationType: function (obj) {
      var dataAttribute = $mz.cfg.validation.dataAttribute;
      var output = obj.getAttribute(dataAttribute.type.id);
      if (output === null) {
        output = dataAttribute.type.default;
      }
      return output;
    },
    getValidValue: function (obj, val, type) {
      type = typeof type === "undefined" || type === null ? $mz.validate.getValidationType(obj).toLowerCase() : type;
      if (typeof val === "undefined" || val === null) {
        val = obj.value;
      }
      var maxLength = $mz.validate.getMaxLength(obj);
      var allowMultiple = $mz.validate.getAllowMultiple(obj);
      if (allowMultiple) {
        maxLength = $mz._absoluteMaxLength;
        var vals = val.split(",");
        var nuVal = [];
        for (var i = 0; i < vals.length; i++) {
          nuVal.push($mz.validate._getValidValue(obj, vals[i], type));
        }
        val = "";
        for (var i = 0; i < nuVal.length; i++) {
          val += nuVal[i];
          if (i < nuVal.length - 1) {
            val += ",";
          }
        }
      } else {
        val = $mz.validate._getValidValue(obj, val, type);
        return val;
      }
      val = val.substring(0, maxLength);
      return val;
    },
    _getValidValue: function (obj, val, type) {
      try {
        type = typeof type === "undefined" || type === null ? $mz.validate.getValidationType(obj).toLowerCase() : type;
        var maxLength = $mz.validate.getMaxLength(obj);
        //var allowMultiple = $mz.validate.getAllowMultiple(obj);
        //if (allowMultiple) {
        //    maxLength = $mz._absoluteMaxLength;
        //}
        if (typeof val === "undefined" || val === null) {
          val = obj.value;
        }
        if (type === "exempt") {
          val = val.substring(0, maxLength);
          return val;
        }
        if (type === "freetext") {
          val = $mz.validate.removeNeverAllowed(val);
          val = val.substring(0, maxLength);
          return val;
        }
        var charArr = $mz.cfg.validation.chars[type.toLowerCase()];
        var validCharArr = new Array(charArr.length);
        for (var e = 0; e < charArr.length; e++) {
          validCharArr[e] = charArr[e];
        }
        var allowMidSpaces = $mz.validate.getAllowMidSpaces(obj);
        var allowMask = $mz.validate.getAllowMask(obj);
        if (allowMask) {
          var sChr = $mz.validate.getMaskCharacters(obj).split(",");
          maxLength += sChr.length;
          for (var i = 0; i < sChr.length; i++) {
            if (sChr[i] === " ") {
              allowMidSpaces = true;
            }
            validCharArr.push(sChr[i]);
          }
        }
        //no leading space
        while (val.indexOf(" ") === 0) {
          val = val.substr(1);
        }
        //remove double or greater spacing
        while (val.indexOf("  ") > 0) {
          val = val.replace("  ", " ");
        }
        var found = false;
        var chr = "";
        var str = val;
        var iMax = str.length;
        for (var i = 0; i < iMax; i++) {
          found = false;
          chr = str.charAt(i);
          if (i === 0 && chr === " ") {
            val = val.trim();
          }
          for (var j = 0; j < validCharArr.length; j++) {
            if (chr === validCharArr[j]) {
              found = true;
              break;
            }
          }
          if (!found && allowMidSpaces && chr !== " ") {
            while (val.indexOf(chr) > -1) {
              val = val.replace(chr, "");
            }
            // val = val.replace(hr, '');
          } else if (!found && !allowMidSpaces) {
            while (val.indexOf(chr) > -1) {
              val = val.replace(chr, "");
            }
          }
        }
        if (!allowMidSpaces || type === "email") {
          while (val.indexOf(" ") > 0) {
            val = val.replace(" ", "");
          }
          // val = val.replace(' ', '');
        }
        if (type === "email") {
          val = val.trim();
        }
        val = val.substring(0, maxLength);
        // alert("'" + val + "'");
      } catch (e) {
        alert(e.message);
      }
      return val;
    },
    onkeyup: function (obj) {
      try {
        var type = $mz.validate.getValidationType(obj).toLowerCase();
        if (type !== "exempt") {
          var elemType = "text";
          if (obj.type.toLowerCase() === "email") {
            elemType = "email";
            obj.type = "text";
          }
          var pos = $mz.getCursorPosition(obj);
          var objVal = $mz.validate.getValidValue(obj);
          if (objVal === obj.value) {
            // obj.value = objVal.replace("'", "`");
            $mz.validate.setColor(obj, true);
            //obj.style.backgroundColor = $mz.cfg.validation.color.valid.background.hex;
            if (type === "email") {
              var alertElem = $mz.validate.getInvalidMsgElemId(obj);
              if (alertElem !== null) {
                $mz.find(alertElem).style.display = "none";
              }
            }
          } else {
            obj.value = objVal; //.replace("'","`");
            pos--;
          }
          $mz.validate.capitalize(obj);
          $mz.setCursorPosition(obj, pos);
          if (elemType === "email") {
            obj.type = "email";
          }
        }
      } catch (e) {
        alert(e.message);
      }
    },
    onsubmit: function (containerName, callback) {
      var validate = $mz.validate;
      var valid = true;
      var validElem = true;
      var elems = $mz.find(containerName).elements;
      var color = $mz.cfg.validation.color;
      var emailIndex = -1;
      function validateObj(i) {
        if (i < elems.length) {
          var type = $mz.validate.getValidationType(elems[i]).toLowerCase();
          if (type !== "exempt") {
            validElem = validate.element(elems[i]);
            if (type === "email" && validElem && elems[i].value !== "") {
              emailIndex = i;
              var alertElem = validate.getInvalidMsgElemId(elems[emailIndex]);
              alertElem = typeof alertElem !== "undefined" && alertElem !== null && alertElem.trim() !== "" ? alertElem : null;
              function validateEmailCallBack(isvalid) {
                if (alertElem !== null) {
                  $mz.find(alertElem).style.display = isvalid ? "none" : "inline";
                }
                valid = valid ? isvalid : valid;
                $mz.validate.setColor(elems[emailIndex], isvalid);
                // elems[emailIndex].style.backgroundColor = isvalid ? $mz.cfg.validation.color.valid.background.hex : $mz.cfg.validation.color.invalid.background.hex;
                i++;
                validateObj(i);
                return valid;
              }
              if (alertElem !== null) {
                $mz.find(alertElem).style.display = "none";
              }
              validate.emailByOnlineService(elems[emailIndex], validateEmailCallBack);
            } else {
              valid = valid ? validElem : valid;
              // elems[i].style.backgroundColor = validElem ? color.valid.background.hex : color.invalid.background.hex;
              i++;
              validateObj(i);
              return valid;
            }
          } else {
            i++;
            validateObj(i);
            return valid;
          }
        } else {
          if (typeof callback !== "undefined" && callback !== null) {
            callback(valid);
          } else {
            return valid;
          }
        }
      }
      return validateObj(0);
    },
    phone: function (obj) {
      var validate = $mz.validate;
      var val = validate.removeMask(obj);
      var numbers = val.split(",");
      var valid = true;
      var minLength = validate.getMinLength(obj);
      var maxLength = validate.getMaxLength(obj);
      for (var i = 0; i < numbers.length; i++) {
        if (!$mz.isNumeric(numbers[i], minLength) || !$mz.isNumeric(numbers[i], maxLength)) {
          return false;
        } else if (validate.getAllowExtendedValidation(obj) && !validate.phoneNumber(numbers[i])) {
          return false;
        }
      }
      return valid;
    },
    phoneNumber: function (val) {
      //Area code (first three digits) cannot be less than 201 or greater than 989
      //Cannot have all repeating numeric digits
      //Starting at 4th character cannot have all repeating numeric digits.
      //Cannot equal "1234567890", this is covered by the area code rule
      var f3 = parseInt(val.substring(0, 3));
      return f3 >= $mz.cfg.settings.minAreaCode & f3 <= $mz.cfg.settings.maxAreaCode & !$mz.isAllTheSame(val) & !$mz.isAllTheSame(val.substring(3));
    },
    radioButtonGroup: function (grpName) {
      var elems = document.getElementsByName(grpName);
      for (var i = 0; i < elems.length; i++) {
        if (elems[i].checked) return true;
      }
      return false;
    },
    removeNeverAllowed: function (val) {
      var arr = $mz.cfg.validation.chars.neverAllowed;
      if (typeof arr !== "undefined" && arr !== null) {
        for (var i = 0; i < arr.length; i++) {
          //replace not replace all instances when set
          //like val.replace(arr[i], '');
          //have to use a while loop
          while (val.indexOf(arr[i]) > -1) {
            val = val.replace(arr[i], "");
          }
        }
      }
      return val;
    },
    removeMask: function (obj) {
      var val; // = obj.value;
      try {
        var maskedtextbox = $(obj).data("kendoMaskedTextBox");
        if (typeof maskedtextbox !== "undefined" && maskedtextbox !== null) {
          var raw = maskedtextbox.raw();
          val = raw;
          return val;
        }
      } catch (e) {}
      val = obj.value;
      var maskChrs = $mz.validate.getMaskCharacters(obj).split(",");
      for (var i = 0; i < maskChrs.length; i++) {
        while (val.indexOf(maskChrs[i]) > -1) {
          val = val.replace(maskChrs[i], "");
        }
      }
      return val;
    },
    removeDataTagAndNull: function (containerName) {
      var elems = $mz.find(containerName).elements;
      var type = "";
      for (var i = 0; i < elems.length; i++) {
        type = elems[i].type.toLowerCase();
        if (type === "text" || type === "tel" || type === "hidden" || type === "textarea" || type === "number" || type === "email" || type === "hidden") {
          var val = elems[i].value.trim();
          if (val.indexOf("{") > -1 && val.indexOf("}") > -1 || val.toLowerCase() === "ull" || val.toLowerCase() === "null" || val.toLowerCase() === "undefined") {
            elems[i].value = "";
          }
        }
      }
    },
    setCheckBox: function (obj, val) {
      if (val.toString().toLowerCase() === "yes" || val.toString().toLowerCase() === "true") {
        obj.checked = true;
      } else {
        obj.checked = false;
      }
    },
    setColor: function (obj, valid) {
      var override = $mz.validate.getJSONOverrideInvalid(obj);
      if (override === null) {
        obj.style.backgroundColor = valid ? $mz.cfg.validation.color.valid.background.hex : $mz.cfg.validation.color.invalid.background.hex;
        return;
      }
      override = override.replace(/'/g, '"');
      override = JSON.parse(override);
      // var elem = $mz.find(override.elemId);
      var invalidcss = override.invalidcss;
      var validcss = override.validcss;
      var property = override.property;
      obj.style[property] = valid ? validcss : invalidcss;
    },
    setCountryElem: function (id, val) {},
    setCountyElem: function (id, val) {},
    setDateElems: function (jsonObj, vals) {
      //Expected date format = MMDDYYYY
      if ($mz.isNumeric(vals, 8)) {
        var moElem = $mz.find(jsonObj.month);
        var dyElem = $mz.find(jsonObj.day);
        var yrElem = $mz.find(jsonObj.year);
        var mo = vals.substring(0, 2);
        var dy = vals.substring(2, 4);
        var yr = vals.substring(4, 8);
        $mz.validate.setElemValue(moElem, mo);
        $mz.validate.setElemValue(dyElem, dy);
        if (yr === "2099" && yrElem.id === $mz.cfg.frmElem.expiration.year) {
          //never expires
          var has2099 = false;
          for (var i = 0; i < yrElem.options.length; i++) {
            if (yrElem.options[i].value === "2099") {
              has2099 = true;
            }
          }
          if (!has2099) {
            var opt = document.createElement("option");
            opt.text = "2099";
            opt.value = "2099";
            yrElem.insertBefore(opt, ddl.childNodes[2]);
            yrElem.selectedIndex = 0;
          }
        }
        $mz.validate.setElemValue(yrElem, yr);
      }
    },
    setElemValue: function (obj, val) {
      //could differentiate here with
      //elem.tagName to extend the code
      //for different element types
      try {
        if (typeof obj !== "undefined" && obj !== null && typeof val !== "undefined" && val !== null) {
          obj.value = val;
        }
      } catch (e) {}
    },
    setGenderElem: function (obj, val) {
      try {
        val = val.toLowerCase();
        var male = 1;
        var female = 2;
        var override = $mz.validate.getJSONOverrideValue(obj);
        if (typeof override !== "undefined" && override !== null) {
          //the json overide should be formatted like:
          //{"male":"MaleValHere","female":"FemaleValHere"}
          //the json override value is what is returned
          //jsonObj = JSON.stringify(jsonObj);
          override = override.replace(/'/g, '"');
          override = JSON.parse(override);
          male = override.male;
          female = override.female;
        }
        val = val === "m" || val === "male" || val === "1" ? male : val === "f" || val === "female" || val === "2" ? female : "";
        $mz.validate.setElemValue(obj, val);
      } catch (e) {
        var s = e.message;
      }
    },
    setStateElem: function (obj, val) {
      if (typeof obj !== "undefined" && obj !== null && typeof val !== "undefined" && val !== null) {
        val = val.toUpperCase();
        var sts = [];
        sts["AL"] = "1";
        sts["AK"] = "2";
        sts["AZ"] = "3";
        sts["AR"] = "4";
        sts["CA"] = "5";
        sts["CO"] = "6";
        sts["CT"] = "7";
        sts["DE"] = "8";
        sts["FL"] = "9";
        sts["GA"] = "10";
        sts["HI"] = "11";
        sts["ID"] = "12";
        sts["IL"] = "13";
        sts["IN"] = "14";
        sts["IA"] = "15";
        sts["KS"] = "16";
        sts["KY"] = "17";
        sts["LA"] = "18";
        sts["ME"] = "19";
        sts["MD"] = "20";
        sts["MA"] = "21";
        sts["MI"] = "22";
        sts["MN"] = "23";
        sts["MS"] = "24";
        sts["MO"] = "25";
        sts["MT"] = "26";
        sts["NE"] = "27";
        sts["NV"] = "28";
        sts["NH"] = "29";
        sts["NJ"] = "30";
        sts["NM"] = "31";
        sts["NY"] = "32";
        sts["NC"] = "33";
        sts["ND"] = "34";
        sts["OH"] = "35";
        sts["OK"] = "36";
        sts["OR"] = "37";
        sts["PA"] = "38";
        sts["RI"] = "39";
        sts["SC"] = "40";
        sts["SD"] = "41";
        sts["TN"] = "42";
        sts["TX"] = "43";
        sts["UT"] = "44";
        sts["VT"] = "45";
        sts["VA"] = "46";
        sts["WA"] = "47";
        sts["WV"] = "48";
        sts["WI"] = "49";
        sts["WY"] = "50";
        sts["DC"] = "51";
        sts["AB"] = "52";
        sts["BC"] = "53";
        sts["MB"] = "54";
        sts["NB"] = "55";
        sts["NL"] = "56";
        sts["NS"] = "57";
        sts["NT"] = "58";
        sts["NU"] = "59";
        sts["ON"] = "60";
        sts["PE"] = "61";
        sts["QC"] = "62";
        sts["SK"] = "63";
        sts["YT"] = "64";
        try {
          $mz.validate.setElemValue(obj, sts[val]);
        } catch (e) {
          //val may be invalid
        }
      }
    },
    setTextElem: function (obj, val) {
      if (typeof obj !== "undefined" && obj !== null && $mz.validate.getValidationType(obj).toLowerCase() !== "exempt") {
        var maxLength = $mz.validate.getMaxLength(obj);
        val = val.substring(0, maxLength);
        var valCk = $mz.validate.getValidValue(obj, val);
        if (valCk === val) {
          obj.value = val;
          $mz.validate.capitalize(obj);
        }
      } else {
        obj.value = val;
      }
    },
    setZipElem: function (obj, val) {
      var maxLength = $mz.validate.getMaxLength(obj);
      var val = val.substring(0, maxLength);
      if ($mz.isNumeric(val, maxLength)) {
        $mz.validate.setTextElem(obj, val);
      }
    },
    textElement: function (obj, trimVal) {
      var valid = true;
      if (obj.type.toLowerCase() === "text" || obj.type.toLowerCase() === "textarea" || obj.type.toLowerCase() === "tel" || obj.type.toLowerCase() === "email" || obj.type.toLowerCase() === "number" || obj.type.toLowerCase() === "hidden") {
        var validate = $mz.validate;
        var type = validate.getValidationType(obj).toLowerCase();
        if (type !== "exempt") {
          //if (trimVal !== null && trimVal) {
          //    obj.value = objVal;
          //}
          var optional = validate.getOptional(obj);
          var allowMask = validate.getAllowMask(obj) & validate.getRemoveMask(obj);
          var objVal = allowMask ? validate.removeMask(obj) : obj.value;
          //if (objVal.trim() !== "" && !validate.getAllowMultiple(obj) && !validate.getAllowMask(obj)) {
          if (objVal.trim() !== "" && !validate.getAllowMultiple(obj)) {
            valid = obj.value === validate.getValidValue(obj) && objVal.length <= validate.getMaxLength(obj) && objVal.length >= validate.getMinLength(obj);
          } else if (!optional && objVal.trim() === "") {
            valid = false;
          }
          if (valid && objVal.trim() !== "") {
            if (type === "email") {
              valid = validate.email(obj);
            } else if (type === "address") {
              valid = validate.address(obj);
            } else if (type === "phone") {
              valid = validate.phone(obj);
            }
          }
        }
      }
      return valid;
    },
    zip: function (obj) {
      var validate = $mz.validate;
      var val = obj.value;
      var valid = $mz.isNumeric(val, validate.getMinLength(obj));
      valid = valid ? $mz.isNumeric(val, validate.getMaxLength(obj)) : valid;
      return valid;
    }
  }
};
$mz.deviceLicenseToken = "{DEVICELICENSETOKEN}";
$mz.deviceId = "{DEVICEID}";
$mz.online = "{ONLINE}";


/***/ }),

/***/ 3:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   BuildResult: function() { return /* binding */ BuildResult; },
/* harmony export */   Exit: function() { return /* binding */ Exit; },
/* harmony export */   ReportCancel: function() { return /* binding */ ReportCancel; },
/* harmony export */   SubmitResult: function() { return /* binding */ SubmitResult; },
/* harmony export */   SubmitResultString: function() { return /* binding */ SubmitResultString; },
/* harmony export */   encodeForiOS: function() { return /* binding */ encodeForiOS; },
/* harmony export */   encodeSuffixForiOS: function() { return /* binding */ encodeSuffixForiOS; },
/* harmony export */   stringFromTimeInMilliseconds: function() { return /* binding */ stringFromTimeInMilliseconds; }
/* harmony export */ });
//v1.0.4.1
//**********RELEASE NOTES******************
//v1.0.4.1
//02/15/2019
//ECG
//Set SA/JS submission functions to empty on first call to stop double submissions
//*********************************************
//v1.0.4.0
//05/29/2018
//ECG
//For SAW, added saveImageByFileName and redoImage (this only works with DSLR for now)
//*********************************************
//v1.0.3.1
//03/23/2017
//Eric G.
//Auto add form element to body in postResult() if it doesn't exist
//********************************************
//v1.0.3.0
//03/17/2017
//Scott S.?
//stringFromTimeInMilliseconds was added to
//correctly format the dateCaptured time stamp
//********************************************
//v1.0.2.0
//02/08/2016
//Scott S.
//Rolled up all SMARTACTIVATORWEB submit results into postResult()
//added a time stamp to SMARTACTIVATORWEB result submission
//********************************************
//v1.0.1.3
//01/26/2016
//Eric G.
//Added _mz_saUrlPrefix to be used with SMARTACTIVATORWEB
//and adding the URL prefix to image sources set in JS files
//********************************************
//v1.0.1.1
//01/25/2016
//Eric G.
//Added Check to encodeSuffixForiOS for SMARTACTIVATORWEB
//*****************************************
//v1.0.1.0
//01/25/2016
//Eric G.
//Added double touch check for Win SA
//Added SMARTACTIVATORWEB check for Web SA
//*****************************************

var _mz_DblTouchFlag = false;
var _mz_saUrlPrefix = "";

//POSSIBLE OPTIONS:
//Win
//Windows
//Mac
//iPad
//iPhone
//MacIntosh
//X11
//Linux
//Android
//Droid
function OS(os) {
  os = os.toLowerCase();
  switch (os) {
    case "android":
      os = "linux";
      break;
    case "droid":
      os = "linux";
      break;
    case "ipad":
      os = "mac";
      break;
    case "iphone":
      os = "mac";
      break;
    case "macintosh":
      os = "mac";
      break;
    case "mac":
      os = "mac";
      break;
    case "windows":
      os = "win";
      break;
    default:
      break;
  }
  if (os === "smartactivatorweb" && typeof SMARTACTIVATORWEB !== "undefined" && SMARTACTIVATORWEB === true) {
    return true;
  } else if (navigator.appVersion.toLowerCase().indexOf(os) != -1) return true;else return false;
}
function SubmitResult(document, formName, suffix) {
  var result = BuildResult(document, formName);
  if (suffix != null) {
    result = result + encodeSuffixForiOS(suffix);
  }
  SubmitResultString(result);
}

//MM-dd-yy HH:mm:ss
function stringFromTimeInMilliseconds(time, fullYear) {
  function n(n) {
    return n > 9 ? "" + n : "0" + n;
  }
  var d = new Date(time);
  var date = n(d.getDate());
  var months = new Array("01", "02", "03", "04", "05", "06", "07", "08", "09", "10", "11", "12");
  var month = months[d.getMonth()];
  var year = d.getFullYear().toString();
  if (!fullYear) year = year.substr(year.length - 2, 2);
  var hour = n(d.getHours());
  var min = n(d.getMinutes());
  var sec = n(d.getSeconds());
  // MM-dd-yy HH:mm:ss
  return month + "-" + date + "-" + year + " " + hour + ":" + min + ":" + sec;
}
function postResult(result) {
  postResult = function (r) {};
  if (typeof document.forms["mozeus"] === "undefined" || document.forms["mozeus"] == null) {
    var form = document.createElement("form");
    form.id = "mozeus";
    form.name = "mozeus";
    document.body.appendChild(form);
  }
  var input = document.createElement("input");
  input.type = "hidden";
  input.name = "SmartActivatorWebResult";
  input.value = result;
  document.forms["mozeus"].appendChild(input);
  var timeInput = document.createElement("input");
  timeInput.type = "hidden";
  timeInput.name = "SmartActivatorWebTime";
  timeInput.value = stringFromTimeInMilliseconds(new Date().getTime());
  document.forms["mozeus"].appendChild(timeInput);
  document.forms["mozeus"].method = "post";
  document.forms["mozeus"].action = "submitResult";
  document.forms["mozeus"].submit();
}
function SubmitResultString(result) {
  SubmitResultString = function (r) {};
  if (OS("SMARTACTIVATORWEB")) {
    postResult(result);
  } else if (OS("Android")) {
    Android.result(result);
    Android.exit();
  } else if (OS("Mac")) {
    var uri = "sa://reportResult?" + result.replace(/;/g, "&");
    document.location.href = uri;
  } else if (typeof MzSA !== "undefined" && typeof MzSA.reportResult !== "undefined" && typeof MzSA.reportResult === "function") {
    if (_mz_DblTouchFlag === false) {
      _mz_DblTouchFlag = true;
      MzSA.reportResult(result);
      setTimeout(function () {
        _mz_DblTouchFlag = false;
      }, 500);
    }
  } else if (window.frameElement && window.frameElement.nodeName == "IFRAME" && typeof window.parent.$SAW !== "undefined") {
    window.parent.$SAW.submitResultString(result);
  } else {
    alert(result);
  }
}
function BuildResult(document, formName) {
  var result = "";
  var elem = document.getElementById(formName).elements;
  for (var i = 0; i < elem.length; i++) {
    if (elem[i].getAttribute("id") != "EmailDomain" && elem[i].getAttribute("id") != "Domain" && elem[i].getAttribute("id").substring(0, 3) != "mz_") {
      if (elem[i].type == "text" || elem[i].type == "textarea" || elem[i].type == "number" || elem[i].type == "tel" || elem[i].type == "email") {
        if (elem[i].value.trim() != "") result += elem[i].getAttribute("id") + "=" + encodeForiOS(elem[i].value) + ";";
      } else if (elem[i].type == "select-one") {
        if (elem[i].options.length > 0 && elem[i].options[elem[i].selectedIndex].value.trim() != "") result += elem[i].getAttribute("id") + "=" + encodeForiOS(elem[i].options[elem[i].selectedIndex].value) + ";";
      } else if (elem[i].type == "checkbox") {
        result += elem[i].getAttribute("data-id") + "=";
        if (elem[i].checked) {
          result += "Yes;";
        } else {
          result += "No;";
        }
      } else if (elem[i].type == "radio" && elem[i].checked) {
        result += elem[i].getAttribute("data-id") + "=";
        result += encodeForiOS(elem[i].value) + ";";
      } else if (elem[i].type == "hidden") {
        result += elem[i].getAttribute("id") + "=";
        result += encodeForiOS(elem[i].value) + ";";
      }
    }
  }
  return result;
}
function encodeSuffixForiOS(val) {
  var nuVal = "";
  try {
    if ((OS("mac") || OS("macintosh") || OS("iphone") || OS("ipad")) && OS("SMARTACTIVATORWEB") === false) {
      var s1 = val.split(";");
      for (var i = 0; i < s1.length; i++) {
        var s = s1[i].split("=");
        nuVal += s[0] + "=" + encodeURIComponent(s[1].replace(";", "")) + ";";
      }
    }
  } catch (e) {}
  val = nuVal === "" ? val : nuVal;
  return val;
}
function encodeForiOS(val) {
  try {
    if ((OS("mac") || OS("macintosh") || OS("iphone") || OS("ipad")) && OS("SMARTACTIVATORWEB") === false) {
      val = encodeURIComponent(val);
    }
  } catch (e) {}
  return val;
}
function ReportCancel() {
  ReportCancel = function () {};
  if (OS("SMARTACTIVATORWEB")) {
    postResult("CANCEL");
  } else if (OS("Android")) {
    Android.cancel();
  } else if (OS("Mac")) {
    document.location.href = "sa://cancel?";
  } else if (typeof MzSA !== "undefined" && typeof MzSA.cancel !== "undefined" && typeof MzSA.cancel === "function") {
    if (_mz_DblTouchFlag === false) {
      _mz_DblTouchFlag = true;
      MzSA.cancel();
      setTimeout(function () {
        _mz_DblTouchFlag = false;
      }, 500);
    }
  } else if (window.frameElement && window.frameElement.nodeName == "IFRAME" && typeof window.parent.$SAW !== "undefined") {
    window.parent.$SAW.cancel();
  }
}
function Exit() {
  Exit = function () {};
  if (OS("SMARTACTIVATORWEB")) {
    postResult("");
  } else if (OS("Android")) {
    Android.exit();
  } else if (OS("Mac")) {
    document.location.href = "sa://reportResult?";
  } else if (typeof MzSA !== "undefined" && typeof MzSA.reportResult !== "undefined" && typeof MzSA.reportResult === "function") {
    if (_mz_DblTouchFlag === false) {
      _mz_DblTouchFlag = true;
      MzSA.reportResult("");
      setTimeout(function () {
        _mz_DblTouchFlag = false;
      }, 500);
    }
  } else if (window.frameElement && window.frameElement.nodeName == "IFRAME" && typeof window.parent.$SAW !== "undefined") {
    window.parent.$SAW.exit();
  }
}
function GetDelimiter() {
  if (OS("SMARTACTIVATORWEB")) return ";";else if (OS("Mac")) {
    return "&";
  } else {
    return ";";
  }
}
function stopSubmit() {
  return false;
}
function saveImageByFileName(fileName) {
  saveImageByFileName = function () {};
  if (window.frameElement && window.frameElement.nodeName == "IFRAME" && typeof window.parent.$SAW !== "undefined") {
    var applyOverlayPostCapture = false;
    var selOverlayID = null;
    var selOverlayUrl = null;
    if (typeof $sa !== "undefined" && $sa !== null && typeof $sa.promptAttributes !== "undefined" && $sa.promptAttributes !== null) {
      try {
        applyOverlayPostCapture = $sa.promptAttributes.applyOverlayPostCapture ? $sa.promptAttributes.applyOverlayPostCapture : false;
        selOverlayID = $sa.promptAttributes.selOverlayID ? $sa.promptAttributes.selOverlayID : null;
        selOverlayUrl = $sa.promptAttributes.selOverlayUrl ? $sa.promptAttributes.selOverlayUrl : null;
      } catch (e) {
        console.log(e.message);
      }
    }
    parent.window.$SAW.saveImageByFileName(fileName, applyOverlayPostCapture, selOverlayID, selOverlayUrl); //SubmitResultString("Accept1=Yes;");
  }
}
//For use by custom review page
//works for DSLR only at this time
//05/29/2018 ECG
function redoImage(isDSLR) {
  isDSLR = true;
  if (window.frameElement && window.frameElement.nodeName == "IFRAME" && typeof window.parent.$SAW !== "undefined") {
    var applyOverlayPostCapture = false;
    var selOverlayID = null;
    var selOverlayUrl = null;
    if (typeof $sa !== "undefined" && $sa !== null && typeof $sa.promptAttributes !== "undefined" && $sa.promptAttributes !== null) {
      try {
        parent.window.$SAW.redoImage(isDSLR, "editor"); // $sa.e.redo();// SubmitResultString("Accept1=No;");
      } catch (e) {
        console.log(e.message);
      }
    }
  }
}


/***/ }),

/***/ 5:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var gsap__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6);


const Global = function () {
  let pageCounter = 0;
  let breadCrumbs = [];
  var lastPage, currentPage;

  //this relies on the server injecting the SMARTACTIVATORWEB var into the html. Not sure if we will be able to use this
  let path = () => {
    try {
      return window.location.href.includes("localhost") ? "img/" : "";
    } catch (error) {
      return "";
    }
  };
  const addEvent = function (obj, eventType, callback) {
    let buttonDelay = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : buttonDelayInit;
    let inputDelay = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : inputDelayInit;
    obj.on(eventType, function (e) {
      e.stopPropagation();
      e.preventDefault();
      let $this = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      if (!inputNotAllowed) {
        inputNotAllowed = true;
        let timer = setTimeout(e => {
          clearTimeout(timer);
          callback($this);
        }, inputDelay);
        //toggles inputNotAllowed state to start allowing input again
        let inputNotAllowedTimer = setTimeout(e => {
          clearTimeout(inputNotAllowedTimer);
          inputNotAllowed = false;
        }, buttonDelay);
      }
    });
  };
  const buttonAnimation = (obj, duration) => {
    obj.on("mousedown", function (e) {
      let $this = jquery__WEBPACK_IMPORTED_MODULE_0___default()(this);
      gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.to($this, {
        duration: duration,
        scale: 0.9,
        onComplete: () => {
          gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.to($this, {
            duration: duration,
            scale: 1
          });
        }
      });
    });
  };
  const showModal = function (modalAttr) {
    let callback = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : () => {};
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(".modal").removeClass("modal--active");
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(".modal[data-modal=\"".concat(modalAttr, "\"]")).addClass("modal--active");
  };
  const toggleSpinner = function (display) {
    let delay = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
    let callback = arguments.length > 2 ? arguments[2] : undefined;
    if (display == "visible") {
      gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.to("#spinner", {
        duration: 0.1,
        opacity: 1,
        delay: delay,
        display: "flex",
        onComplete: function () {
          if (callback) {
            callback();
          }
        }
      });
    } else if (display == "hidden") {
      gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.to("#spinner", {
        duration: 0.4,
        opacity: 0,
        display: "none",
        delay: delay,
        onComplete: function () {
          if (callback) {
            callback();
          }
        }
      });
    }
  };
  const advanceView = function (fromID, toID) {
    let direction = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : "forward";
    let callback = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : () => {
      // console.log("no callback");
    };
    jquery__WEBPACK_IMPORTED_MODULE_0___default()("html, body, main").animate({
      scrollTop: "0px"
    });
    let lastPg;
    let nextPg;
    if (direction === "forward") {
      lastPg = fromID;
      nextPg = toID;

      //add the first page
      if (breadCrumbs.length < 1) {
        breadCrumbs.push(fromID);
      }
      breadCrumbs.push(toID);
    } else {
      lastPg = breadCrumbs[breadCrumbs.length - 1];
      nextPg = breadCrumbs[breadCrumbs.length - 2];
      breadCrumbs.pop();
    }
    gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.fromTo(lastPg, {
      x: "0%"
    }, {
      x: direction === "forward" ? "100%" : "-100%",
      delay: 0,
      duration: 0.4,
      display: "none",
      onComplete: () => {
        //second page translates in once first has translated out
        gsap__WEBPACK_IMPORTED_MODULE_1__.gsap.fromTo(nextPg, {
          x: direction === "forward" ? "-100%" : "100%"
        }, {
          x: "0%",
          delay: 0,
          duration: 0.4,
          display: "flex",
          onComplete: () => {
            callback(nextPg);
          }
        });
      }
    });
  };
  const getOS = () => {
    var userAgent = window.navigator.userAgent,
      platform = window.navigator.platform,
      macosPlatforms = ["Macintosh", "MacIntel", "MacPPC", "Mac68K"],
      windowsPlatforms = ["Win32", "Win64", "Windows", "WinCE"],
      iosPlatforms = ["iPhone", "iPad", "iPod"],
      os = null;
    if (navigator.platform === "MacIntel" && navigator.maxTouchPoints > 1) {
      os = "iOS";
    } else if (macosPlatforms.indexOf(platform) !== -1) {
      os = "mac";
    } else if (iosPlatforms.indexOf(platform) !== -1) {
      os = "iOS";
    } else if (windowsPlatforms.indexOf(platform) !== -1) {
      os = "Windows";
    } else if (/Android/.test(userAgent)) {
      os = "Android";
    }
    // console.log("*******OS=" + os + "************");
    return os.toLowerCase();
  };
  const sendToGA = function () {
    let {
      event = "Click",
      eventCategory = "ButtonClick",
      eventLabel = ""
    } = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    if (googleAnalyticsOn) {
      gtag("event", event, {
        event_category: eventCategory,
        event_label: eventLabel
      });
    }

    // console.log(
    //   "eventCategory=" + eventCategory,
    //   "eventLabel=" + eventLabel,
    //   "event=" + event
    // );
  };
  const shuffle = a => {
    var j, x, i;
    for (i = a.length - 1; i > 0; i--) {
      j = Math.floor(Math.random() * (i + 1));
      x = a[i];
      a[i] = a[j];
      a[j] = x;
    }
    return a;
  };
  const handleLanguageChange = (language, officialRules, privacyPolicy) => {
    const languageValue = language.toLowerCase().trim();
    if (typeof LANGUAGE_GUIDE !== "object") {
      console.log("LANGUAGE_GUIDE object is NOT found. handleLanguageChange() has been aborted");
      return;
    }
    document.querySelectorAll("[data-language-idx]").forEach(element => {
      const languageElIndex = element.dataset.languageIdx;
      LANGUAGE_GUIDE.some(item => {
        if (languageElIndex && languageElIndex === item.nodeIndex) {
          if (item.type === "placeholder") {
            element.placeholder = item.language[languageValue];
          } else {
            element.innerHTML = item.language[languageValue];
          }
          return true;
        }
      });
    });

    //include official rules translations
    if (officialRules) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal[data-modal="Official Rules"]').find(".copy--wrap").html(officialRules);
    }

    //include privacy policy translations
    if (privacyPolicy) {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal[data-modal="Privacy Policy"]').find(".copy--wrap").html(privacyPolicy);
    }
  };
  return {
    path: path,
    addEvent: addEvent,
    buttonAnimation: buttonAnimation,
    advanceView: advanceView,
    toggleSpinner: toggleSpinner,
    showModal: showModal,
    sendToGA: sendToGA,
    getOS: getOS,
    shuffle: shuffle,
    handleLanguageChange: handleLanguageChange
  };
}();
/* harmony default export */ __webpack_exports__["default"] = (Global);

/***/ }),

/***/ 12:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   GA: function() { return /* binding */ GA; }
/* harmony export */ });
const GA = function () {
  // Multi-view Page Loads handler. If set true Page Load must be handled manually on page transition.
  let spa = false;

  // List Elements that trigger Modal Windows & Names to Report
  let modalTriggers = [".form__link"];
  let modalNames = ["Sweepstakes Rules"];
  function init() {
    // check if GTAG exists and not SPA
    if (typeof gtag !== "undefined") {
      console.log("Google Analytics Initialized");
      pageLoadEvents();
      buttonClickEvents();
      linkClickEvents();
      modalClickEvents();
    } else {
      console.error("Google Analytics GTAG is Undefined");
      function gtag() {
        console.log("NEED GA SETUP!!!");
      }
    }
  }
  function pageLoadEvents() {
    let gaValue = null;
    if (document.title || document.querySelector('meta[name="title"]')) {
      gaValue = document.title !== "" ? document.title + " Page" : document.querySelector('meta[name="title"]').content + " Page";
    } else {
      console.error("Must set HTML Title tag!");
    }
    if (!GA.spa) {
      logConsole("event", "".concat(gaValue, " Load"));
      gtag("event", "".concat(gaValue, " Load"));
    } else {
      console.warn("This PAGE LOAD has multiple views \n Must handle page loads manually!");
    }
  }
  function buttonClickEvents() {
    document.querySelectorAll("button").forEach((link, index) => {
      const gaType = "Button";
      let buttonsArrayLength = document.querySelectorAll("button").length;
      if (!link.value) {
        console.error("Button Value attribute not assigned!");
      }
      let gaIndex = null;
      if (link.value) {
        gaIndex = "";
      } else if (buttonsArrayLength > 1) {
        gaIndex = "".concat(index + 1);
      } else {
        gaIndex = "- ".concat(document.title, " Screen");
      }
      link.addEventListener("click", event => {
        let gaValue = link.value ? "".concat(link.value.charAt(0).toUpperCase()).concat(link.value.slice(1), " ") : "".concat(link.innerText.charAt(0).toUpperCase()).concat(link.innerText.slice(1).toLowerCase());
        logConsole("event", "".concat(gaType, " ").concat(gaValue, " ").concat(gaIndex));
        gtag("event", "".concat(gaType, " ").concat(gaValue, " ").concat(gaIndex));
      });
    });
  }
  function linkClickEvents() {
    document.querySelectorAll("a").forEach(link => {
      const gaType = "Link";
      if (!link.title) {
        console.error("Anchor Tag Title attribute not assigned!");
      }
      link.addEventListener("click", () => {
        let gaValue = link.title ? "".concat(link.title.charAt(0).toUpperCase()).concat(link.title.slice(1), " ") : "".concat(link.innerText.charAt(0).toUpperCase()).concat(link.innerText.slice(1).toLowerCase());
        logConsole("event", "".concat(gaType, " ").concat(gaValue));
        gtag("event", "".concat(gaType, " ").concat(gaValue));
      });
    });
  }
  function modalClickEvents() {
    GA.modalTriggers.forEach((modalLink, index) => {
      const gaType = "Click";
      if (document.querySelector("".concat(modalLink))) {
        document.querySelector("".concat(modalLink)).addEventListener("click", () => {
          logConsole("event", "".concat(GA.modalNames[index], " ").concat(gaType));
          gtag("event", "".concat(GA.modalNames[index], " ").concat(gaType));
        });
      }
    });
  }
  function logConsole(event, string) {
    console.log(event, string);
  }
  return {
    spa: spa,
    modalTriggers: modalTriggers,
    modalNames: modalNames,
    init: init
  };
}();


/***/ }),

/***/ 44:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(1);
/* harmony import */ var jquery__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jquery__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _common_js_MZ_2_2_0_4__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2);
/* harmony import */ var _common_js_OS_accessibility__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(3);
/* harmony import */ var _common_js_googleAnalytics__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(12);
/* harmony import */ var _common_js_globalFunctions__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(5);
/* harmony import */ var _common_images_logo_uscc_packers_png__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(45);
/* harmony import */ var _common_images_logo_uscc_png__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(46);
/* harmony import */ var _images_logo_iowa_jpg__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(47);
/* harmony import */ var _images_logo_iowa_state_jpg__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(48);









/* harmony default export */ __webpack_exports__["default"] = ((function () {
  console.log("NEW VERSION");
  console.log("MZ", _common_js_MZ_2_2_0_4__WEBPACK_IMPORTED_MODULE_1__.$mz);
  let eventID = null;
  const init = () => {
    _common_js_MZ_2_2_0_4__WEBPACK_IMPORTED_MODULE_1__.$mz.onload();
    setPathUI();
    events();
  };
  const setPathUI = () => {
    let url = window.location.href;
    console.log("URL", url);
    if (window.location.origin.includes("localhost")) {
      url = "iowa.uscellular.com";
    }
    if (url.includes("packers")) {
      setCustomStartView("packers");
    } else {
      setCustomStartView("iowa");
    }
    _common_js_googleAnalytics__WEBPACK_IMPORTED_MODULE_3__.GA.init();
  };
  const setEvent = (eventID, callback) => {
    fetch("/setEvent", {
      method: "POST",
      headers: {
        "Content-Type": "'application/json'"
      },
      // single quotes are required
      body: JSON.stringify({
        eventID: parseInt(eventID)
      })
    }).then(response => {
      console.log('RESPONSE', response);
      if (response.status === 200) {
        console.log("Response Status - OK", response.status);
        return true;
      } else if (response.status === 400) {
        console.log("Response Status - DOESN'T EXIST", response.status);
        return false;
      } else {
        console.log("Response Status - CALL FAILED", response.status);
        return false;
      }
    }).then(data => {
      console.log("Submit data to event ID: ", eventID);
      console.log("Promise Return Data", data);
      if (data) {
        callback();
      } else {
        _common_js_globalFunctions__WEBPACK_IMPORTED_MODULE_4__["default"].showModal("Event Error");
      }
    }).catch(error => {
      console.log("Error Message:", error.message);
    });
  };
  const setCustomStartView = eventID => {
    if (eventID === "iowa") {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()("#customStart").html(iowaTemplate);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(".js-nextBtn").on("click", function (e) {
        let selected = false;
        document.querySelectorAll(".start--team").forEach(button => {
          if (button.classList.contains("selected")) {
            selected = true;
          }
        });
        if (!selected) {
          document.querySelectorAll(".start--team").forEach(button => {
            button.classList.add("error");
          });
        } else {
          setEvent(eventID, function () {
            console.log("Event Set");
            (0,_common_js_OS_accessibility__WEBPACK_IMPORTED_MODULE_2__.Exit)();
          });
        }
      });
      document.querySelectorAll(".start--team").forEach(button => {
        button.addEventListener("click", function (e) {
          e.preventDefault();
          e.stopPropagation();
          eventID = e.target.dataset.event;
          console.log("Event ID Selected: ", eventID);
          document.querySelectorAll(".start--team").forEach(button => {
            button.classList.remove("selected");
            button.classList.remove("error");
          });
          e.target.classList.add("selected");
        });
      });
    } else if (eventID === "packers") {
      jquery__WEBPACK_IMPORTED_MODULE_0___default()("#customStart").html(packersTemplate);
      jquery__WEBPACK_IMPORTED_MODULE_0___default()(".js-nextBtn").on("click", function (e) {
        (0,_common_js_OS_accessibility__WEBPACK_IMPORTED_MODULE_2__.Exit)();
      });
    }
  };
  const events = () => {
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(".official-rules").on("click", function (e) {
      e.preventDefault();
      e.stopPropagation();
      _common_js_globalFunctions__WEBPACK_IMPORTED_MODULE_4__["default"].showModal("Official Rules");
    });
    jquery__WEBPACK_IMPORTED_MODULE_0___default()(".modal--exit").on("click", function (e) {
      e.preventDefault();
      e.stopPropagation();
      jquery__WEBPACK_IMPORTED_MODULE_0___default()('.modal').removeClass("modal--active");
    });
  };
  let iowaTemplate = /*html*/"\n        <div class=\"start\">\n            <h1 class=\"start--title\">Choose </br> Your Team</h1>\n\n            <div class=\"start--team-wrap\">\n              <button class=\"start--team\" data-event=\"109454\" value=\"Iowa University Button\">\n                <img class=\"start--team-image\" src=".concat(_images_logo_iowa_jpg__WEBPACK_IMPORTED_MODULE_7__, " alt=\"Iowa University Hawkeyes\">\n              </button>\n              <button class=\"start--team\" data-event=\"109455\" value=\"Iowa State Button\">\n                <img class=\"start--team-image iowaState\" src=").concat(_images_logo_iowa_state_jpg__WEBPACK_IMPORTED_MODULE_8__, " alt=\"Iowa State University Cyclones\">\n              </button>\n              <p class=\"start--text\">*selection required</p>\n            </div>\n\n            <button class=\"button button_start js-nextBtn\" value=\"Start Button\">\n              <span class=\"button__text\">Start</span>\n            </button>\n\n            <img src=").concat(_common_images_logo_uscc_png__WEBPACK_IMPORTED_MODULE_6__, " alt=\"USCC Logo\" class=\"start--logo\">\n          </div>\n    ");
  let packersTemplate = /*html*/"\n         <div class=\"start\">\n            <h1 class=\"start--title\">Let's </br> Get Started</h1>\n\n            <button class=\"button button_start js-nextBtn\" value=\"Start Button\">\n              <span class=\"button__text\">Start</span>\n            </button>\n\n            <img src=".concat(_common_images_logo_uscc_packers_png__WEBPACK_IMPORTED_MODULE_5__, " alt=\"USCC & Packers Logos\" class=\"start--logo start--logo_packers\">\n          </div>\n    ");
  init();
})());

/***/ }),

/***/ 49:
/***/ (function(__unused_webpack_module, __webpack_exports__, __webpack_require__) {

__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ 45:
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

module.exports = __webpack_require__.p + "logo-uscc-packers.png";

/***/ }),

/***/ 46:
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

module.exports = __webpack_require__.p + "logo-uscc.png";

/***/ }),

/***/ 48:
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

module.exports = __webpack_require__.p + "logo-iowa-state.jpg";

/***/ }),

/***/ 47:
/***/ (function(module, __unused_webpack_exports, __webpack_require__) {

module.exports = __webpack_require__.p + "logo-iowa.jpg";

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = __webpack_modules__;
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/chunk loaded */
/******/ 	!function() {
/******/ 		var deferred = [];
/******/ 		__webpack_require__.O = function(result, chunkIds, fn, priority) {
/******/ 			if(chunkIds) {
/******/ 				priority = priority || 0;
/******/ 				for(var i = deferred.length; i > 0 && deferred[i - 1][2] > priority; i--) deferred[i] = deferred[i - 1];
/******/ 				deferred[i] = [chunkIds, fn, priority];
/******/ 				return;
/******/ 			}
/******/ 			var notFulfilled = Infinity;
/******/ 			for (var i = 0; i < deferred.length; i++) {
/******/ 				var chunkIds = deferred[i][0];
/******/ 				var fn = deferred[i][1];
/******/ 				var priority = deferred[i][2];
/******/ 				var fulfilled = true;
/******/ 				for (var j = 0; j < chunkIds.length; j++) {
/******/ 					if ((priority & 1 === 0 || notFulfilled >= priority) && Object.keys(__webpack_require__.O).every(function(key) { return __webpack_require__.O[key](chunkIds[j]); })) {
/******/ 						chunkIds.splice(j--, 1);
/******/ 					} else {
/******/ 						fulfilled = false;
/******/ 						if(priority < notFulfilled) notFulfilled = priority;
/******/ 					}
/******/ 				}
/******/ 				if(fulfilled) {
/******/ 					deferred.splice(i--, 1)
/******/ 					var r = fn();
/******/ 					if (r !== undefined) result = r;
/******/ 				}
/******/ 			}
/******/ 			return result;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	!function() {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = function(module) {
/******/ 			var getter = module && module.__esModule ?
/******/ 				function() { return module['default']; } :
/******/ 				function() { return module; };
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	!function() {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = function(exports, definition) {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/global */
/******/ 	!function() {
/******/ 		__webpack_require__.g = (function() {
/******/ 			if (typeof globalThis === 'object') return globalThis;
/******/ 			try {
/******/ 				return this || new Function('return this')();
/******/ 			} catch (e) {
/******/ 				if (typeof window === 'object') return window;
/******/ 			}
/******/ 		})();
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	!function() {
/******/ 		__webpack_require__.o = function(obj, prop) { return Object.prototype.hasOwnProperty.call(obj, prop); }
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	!function() {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = function(exports) {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/publicPath */
/******/ 	!function() {
/******/ 		var scriptUrl;
/******/ 		if (__webpack_require__.g.importScripts) scriptUrl = __webpack_require__.g.location + "";
/******/ 		var document = __webpack_require__.g.document;
/******/ 		if (!scriptUrl && document) {
/******/ 			if (document.currentScript)
/******/ 				scriptUrl = document.currentScript.src;
/******/ 			if (!scriptUrl) {
/******/ 				var scripts = document.getElementsByTagName("script");
/******/ 				if(scripts.length) {
/******/ 					var i = scripts.length - 1;
/******/ 					while (i > -1 && (!scriptUrl || !/^http(s?):/.test(scriptUrl))) scriptUrl = scripts[i--].src;
/******/ 				}
/******/ 			}
/******/ 		}
/******/ 		// When supporting browsers where an automatic publicPath is not supported you must specify an output.publicPath manually via configuration
/******/ 		// or pass an empty string ("") and set the __webpack_public_path__ variable from your code to use your own logic.
/******/ 		if (!scriptUrl) throw new Error("Automatic publicPath is not supported in this browser");
/******/ 		scriptUrl = scriptUrl.replace(/#.*$/, "").replace(/\?.*$/, "").replace(/\/[^\/]+$/, "/");
/******/ 		__webpack_require__.p = scriptUrl;
/******/ 	}();
/******/ 	
/******/ 	/* webpack/runtime/jsonp chunk loading */
/******/ 	!function() {
/******/ 		// no baseURI
/******/ 		
/******/ 		// object to store loaded and loading chunks
/******/ 		// undefined = chunk not loaded, null = chunk preloaded/prefetched
/******/ 		// [resolve, reject, Promise] = chunk loading, 0 = chunk loaded
/******/ 		var installedChunks = {
/******/ 			2: 0
/******/ 		};
/******/ 		
/******/ 		// no chunk on demand loading
/******/ 		
/******/ 		// no prefetching
/******/ 		
/******/ 		// no preloaded
/******/ 		
/******/ 		// no HMR
/******/ 		
/******/ 		// no HMR manifest
/******/ 		
/******/ 		__webpack_require__.O.j = function(chunkId) { return installedChunks[chunkId] === 0; };
/******/ 		
/******/ 		// install a JSONP callback for chunk loading
/******/ 		var webpackJsonpCallback = function(parentChunkLoadingFunction, data) {
/******/ 			var chunkIds = data[0];
/******/ 			var moreModules = data[1];
/******/ 			var runtime = data[2];
/******/ 			// add "moreModules" to the modules object,
/******/ 			// then flag all "chunkIds" as loaded and fire callback
/******/ 			var moduleId, chunkId, i = 0;
/******/ 			if(chunkIds.some(function(id) { return installedChunks[id] !== 0; })) {
/******/ 				for(moduleId in moreModules) {
/******/ 					if(__webpack_require__.o(moreModules, moduleId)) {
/******/ 						__webpack_require__.m[moduleId] = moreModules[moduleId];
/******/ 					}
/******/ 				}
/******/ 				if(runtime) var result = runtime(__webpack_require__);
/******/ 			}
/******/ 			if(parentChunkLoadingFunction) parentChunkLoadingFunction(data);
/******/ 			for(;i < chunkIds.length; i++) {
/******/ 				chunkId = chunkIds[i];
/******/ 				if(__webpack_require__.o(installedChunks, chunkId) && installedChunks[chunkId]) {
/******/ 					installedChunks[chunkId][0]();
/******/ 				}
/******/ 				installedChunks[chunkId] = 0;
/******/ 			}
/******/ 			return __webpack_require__.O(result);
/******/ 		}
/******/ 		
/******/ 		var chunkLoadingGlobal = self["webpackChunkmozeus_webpack_build"] = self["webpackChunkmozeus_webpack_build"] || [];
/******/ 		chunkLoadingGlobal.forEach(webpackJsonpCallback.bind(null, 0));
/******/ 		chunkLoadingGlobal.push = webpackJsonpCallback.bind(null, chunkLoadingGlobal.push.bind(chunkLoadingGlobal));
/******/ 	}();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module depends on other loaded chunks and execution need to be delayed
/******/ 	__webpack_require__.O(undefined, [3], function() { return __webpack_require__(44); })
/******/ 	var __webpack_exports__ = __webpack_require__.O(undefined, [3], function() { return __webpack_require__(49); })
/******/ 	__webpack_exports__ = __webpack_require__.O(__webpack_exports__);
/******/ 	
/******/ })()
;